import { defineStore } from "pinia";

export const useSelectedDateStore = defineStore("selectedDate", {
  state() {
    return {
      selectedDate: {
        startDate: "",
        endDate: "",
        totalDays: 1,
      },
    };
  },

  actions: {
    setData(data) {
      this.selectedDate = data;
    },
  },

  unistorage: true,
});
